 OnlineVideos.MediaPortal1/OnlineVideos.MediaPortal1.csproj | 4 ++++
 OnlineVideos.MediaPortal1/Player/OnlineVideosPlayer.cs     | 5 +++--
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/OnlineVideos.MediaPortal1/OnlineVideos.MediaPortal1.csproj b/OnlineVideos.MediaPortal1/OnlineVideos.MediaPortal1.csproj
index 1c509de0..4ab9372c 100644
--- a/OnlineVideos.MediaPortal1/OnlineVideos.MediaPortal1.csproj
+++ b/OnlineVideos.MediaPortal1/OnlineVideos.MediaPortal1.csproj
@@ -81,6 +81,10 @@
       <HintPath>$(ProgramFiles)\Team MediaPortal\MediaPortal\log4net.dll</HintPath>
       <Private>False</Private>
     </Reference>
+    <Reference Include="MediaInfo.Wrapper">
+      <HintPath>$(ProgramFiles)\Team MediaPortal\MediaPortal\MediaInfo.Wrapper.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
     <Reference Include="RemotePlugins">
       <HintPath>$(ProgramFiles)\Team MediaPortal\MediaPortal\RemotePlugins.dll</HintPath>
       <Private>False</Private>
diff --git a/OnlineVideos.MediaPortal1/Player/OnlineVideosPlayer.cs b/OnlineVideos.MediaPortal1/Player/OnlineVideosPlayer.cs
index 67260989..0e0cfd36 100644
--- a/OnlineVideos.MediaPortal1/Player/OnlineVideosPlayer.cs
+++ b/OnlineVideos.MediaPortal1/Player/OnlineVideosPlayer.cs
@@ -11,6 +11,7 @@ using MediaPortal.Player.Subtitles;
 using MediaPortal.Player.PostProcessing;
 using System.Runtime.Serialization.Formatters.Binary;
 using System.IO;
+using MediaInfo;
 
 namespace OnlineVideos.MediaPortal1.Player
 {
@@ -39,8 +40,8 @@ namespace OnlineVideos.MediaPortal1.Player
             {
                 try
                 {
-                    MediaInfo mi = new MediaInfo();
-                    int hr = mi.Open(cacheFile);
+                    MediaInfo.MediaInfo mi = new MediaInfo.MediaInfo();
+                    int hr = (int)mi.Open(cacheFile);
                     double framerate;
                     double.TryParse(mi.Get(StreamKind.Video, 0, "FrameRate"), System.Globalization.NumberStyles.AllowDecimalPoint, new System.Globalization.NumberFormatInfo() { NumberDecimalSeparator = "." }, out framerate);
                     if (framerate > 1)
